OracleVM 2.2 : ovs-agent (OVMSA-2010-0015)

This script is Copyright (C) 2013-2014 Tenable Network Security, Inc.


Synopsis :

The remote OracleVM host is missing a security update.

Description :

The remote OracleVM system is missing necessary patches to address
critical security updates :

- Update changelog, fill CVE number.

- Fix config-file access mode issue.

- Fix file access vulnerability [orabug 10142417]
(CVE-2010-3582)

- Fix local privilege escalation [orabug 10142476]
(CVE-2010-3584)

- Fix ovs agent command injection [orabug 10146644]
(CVE-2010-3585)

- Fix validate master ip command injection [orabug
10142448] (CVE-2010-3583)

- Add excutable mode to utils/upgrade.py.

See also :

http://www.nessus.org/u?f5790f09

Solution :

Update the affected ovs-agent package.

Risk factor :

High / CVSS Base Score : 9.0
(CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C)
CVSS Temporal Score : 7.4
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: OracleVM Local Security Checks

Nessus Plugin ID: 68878 ()

Bugtraq ID: 44031
44043
44044
44047

CVE ID: CVE-2010-3582
CVE-2010-3583
CVE-2010-3584
CVE-2010-3585